Subject: Re: [bug#41150] [PATCH] gnu: Add powerstat.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 09 May 2020 22:42:25 +0200

Mathieu again,

Mathieu Othacehe 写道：
> Hard-coding CC this way will prevent cross-compilation. You can 
> have a
> look to "crda" or "libaio" for examples.

Do you happen to know why libaio specifies the full path to gcc 
(only) when cross-compiling?  I didn't bother modifying it to 
test.

I cross-built powerstat for aarch64 on my laptop (then ran it by 
accident -- modern GNU/Linux is mad).  I'm not restricting 
platforms (yet) since my knowledge of ACPI support outside of x86 
does not exist.

Pushed as 510a8eb1b8b4f2686606e427b8965c126b81ed8a.

Thanks!

T G-R